package com.dky.entity;


public class SysDeviceHeatScene {

    /** 序号 */
    private Integer id ;
    /** 设备类型 */
    private String deviceType ;
    /** 设备细类 */
    private String deviceSubType ;
    /** 技术类型 */
    private String technologyType ;
    /** 热效率 */
    private Double heatingEffciency ;
    /** 设备功率（kW） */
    private Double devicePower ;
    /** 设备单价（万元） */
    private Double devicePrice ;
    /** 电替代设备年人工费用（万元） */
    private Double artificialCost ;
    /** 原设备的人工费用（万元） */
    private Double laborCost ;
    /** 单台电设备参考的可供暖面积（万平方米） */
    private Double devReferenceArea ;
    /** 设备使用年限（年） */
    private Integer deviceLife ;
    /** 设备年运行时长（小时） */
    private Integer deviceRunHours ;
    /** 备注 */
    private String remarkInfo ;


    public SysDeviceHeatScene(Integer id, String deviceType, String deviceSubType, String technologyType, Double heatingEffciency, Double devicePower, Double devicePrice, Double artificialCost, Double laborCost, Double devReferenceArea, Integer deviceLife, Integer deviceRunHours, String remarkInfo) {
        this.id = id;
        this.deviceType = deviceType;
        this.deviceSubType = deviceSubType;
        this.technologyType = technologyType;
        this.heatingEffciency = heatingEffciency;
        this.devicePower = devicePower;
        this.devicePrice = devicePrice;
        this.artificialCost = artificialCost;
        this.laborCost = laborCost;
        this.devReferenceArea = devReferenceArea;
        this.deviceLife = deviceLife;
        this.deviceRunHours = deviceRunHours;
        this.remarkInfo = remarkInfo;
    }

    @Override
    public String toString() {
        return "SysDeviceHeatScene{" +
                "id=" + id +
                ", deviceSubType='" + deviceSubType + '\'' +
                ", technologyType='" + technologyType + '\'' +
                ", heatingEffciency=" + heatingEffciency +
                ", devicePrice=" + devicePrice +
                ", laborCost=" + laborCost +
                ", deviceLife=" + deviceLife +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceSubType() {
        return deviceSubType;
    }

    public void setDeviceSubType(String deviceSubType) {
        this.deviceSubType = deviceSubType;
    }

    public String getTechnologyType() {
        return technologyType;
    }

    public void setTechnologyType(String technologyType) {
        this.technologyType = technologyType;
    }

    public Double getHeatingEffciency() {
        return heatingEffciency;
    }

    public void setHeatingEffciency(Double heatingEffciency) {
        this.heatingEffciency = heatingEffciency;
    }

    public Double getDevicePower() {
        return devicePower;
    }

    public void setDevicePower(Double devicePower) {
        this.devicePower = devicePower;
    }

    public Double getDevicePrice() {
        return devicePrice;
    }

    public void setDevicePrice(Double devicePrice) {
        this.devicePrice = devicePrice;
    }

    public Double getArtificialCost() {
        return artificialCost;
    }

    public void setArtificialCost(Double artificialCost) {
        this.artificialCost = artificialCost;
    }

    public Double getLaborCost() {
        return laborCost;
    }

    public void setLaborCost(Double laborCost) {
        this.laborCost = laborCost;
    }

    public Double getDevReferenceArea() {
        return devReferenceArea;
    }

    public void setDevReferenceArea(Double devReferenceArea) {
        this.devReferenceArea = devReferenceArea;
    }

    public Integer getDeviceLife() {
        return deviceLife;
    }

    public void setDeviceLife(Integer deviceLife) {
        this.deviceLife = deviceLife;
    }

    public Integer getDeviceRunHours() {
        return deviceRunHours;
    }

    public void setDeviceRunHours(Integer deviceRunHours) {
        this.deviceRunHours = deviceRunHours;
    }

    public String getRemarkInfo() {
        return remarkInfo;
    }

    public void setRemarkInfo(String remarkInfo) {
        this.remarkInfo = remarkInfo;
    }
}
